# QKD Control Interface for SDN

YANG models for 
[ETSI GS QKD 015 V2.1.1 (2022-04)](https://www.etsi.org/deliver/etsi_gs/QKD/001_099/015/02.01.01_60/gs_QKD015v020101p.pdf) 
"Quantum Key Distribution (QKD); Control Interface for Software Defined Networks", which specifies management interfaces between SDN-enabled QKD node and SDN controller, developed by 
[ETSI ISG QKD](https://www.etsi.org/committee/qkd)

**An update to this Group Specification is under development in work item [RGS/QKD-015ed3_ContIntSDN](https://portal.etsi.org/webapp/workprogram/Report_WorkItem.asp?WKI_ID=67986).**

**IMPORTANT: Draft updates to the YANG models are being developed in branch [edition3](https://forge.etsi.org/rep/qkd/gs015-ctrl-int-sdn/-/tree/edition3) of this repository and these revisions are subject to change**

Note: The default branch in this repository has been renamed `main` as per QKD(23)033d002.

## Related ISG QKD Repositories

- [YANG models](https://forge.etsi.org/rep/qkd/gs018-orch-int-sdn) for
  ETSI GS QKD 018 "Quantum Key Distribution (QKD); QKD Orchestration Interface for SDN"
- [Draft YANG models](https://forge.etsi.org/rep/qkd/gs021-orch-interop-sdn) for
  draft ETSI GS QKD 021 "Quantum Key Distribution (QKD); Orchestration Interface of Software Defined Networks for Interoperable key management system"

## Contact

For inquiries, contact `isgsupport` at `etsi` dot `org`.

## License

See LICENSE file and https://forge.etsi.org/legal-matters
